Bug 570829

Summary: Review Request: ruby-PlugMan - A simple and effective plug-in framework for Ruby application
Product: [Fedora] Fedora Reporter: Jakub Hrozek <jhrozek>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, imranceh, notting
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-26 15:18:56 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 201449    

Description Jakub Hrozek 2010-03-05 09:58:17 EST
Spec URL: http://fedorapeople.org/~jhrozek/ruby-plugman/ruby-PlugMan.spec
SRPM URL: http://fedorapeople.org/~jhrozek/ruby-plugman/ruby-PlugMan-0.0.3-1.fc12.src.rpm

Description: PlugMan is a simple and effective plug-in framework for building extensible Ruby applications. If you want plug-ins or extensions in your
application, PlugMan is for you
Comment 1 Mohammed Imran 2010-04-28 06:30:41 EDT
This is a informal review.Note that iam in need of sponsor

Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Package is named according to the Package Naming Guidelines.
[x]  Spec file name must match the base package %{name}, in the format
%{name}.spec.
[x]  Package meets the Packaging Guidelines.
[!]  Rpmlint output:
ruby-PlugMan.noarch: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

where are README PlugMan.pdf ?

[x]  Package is not relocatable.
[x]  Buildroot is correct
%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
[x]  Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
[x]  License field in the package spec file matches the actual license.
License type:Ruby

[x]  If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided
in the spec URL.
MD5SUM this package    :77203c501e2cf674fbc59ecb5a013c17
MD5SUM upstream package:77203c501e2cf674fbc59ecb5a013c17
[x]  Package is not known to require ExcludeArch, OR:
Arches excluded:
Why:
[!]  All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
why BUILDREQUIRES:ruby ? ruby(abi) =1.8 is enough
also there is no need for ruby(gems) for doc package.

[x]  Package does not contain duplicates in %files.
[x]  Permissions on files are set properly. 
[x]  Package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
[x]  Package consistently uses macros.
[x]  Package contains code, or permissable content.
[x]  Large documentation files are in a -doc subpackage, if required.
[x]  Package uses nothing in %doc for runtime.
[-]  Header files in -devel subpackage, if present.
[-]  Static libraries in -devel subpackage, if present.
[-]  Package requires pkgconfig, if .pc files are present.
[-]  Development .so files in -devel subpackage, if present.
[-]  Fully versioned dependency in subpackages, if present.
[x]  Package does not contain any libtool archives (.la).
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI
application.
[x]  Package does not own files or directories owned by other packages.
[x]  All filenames in rpm packages must be valid UTF-8
Comment 2 Jason Tibbitts 2010-11-17 20:38:20 EST
It would be good to respond to the above commentary.